#include <iostream>
#include <VWeb.h>

class BigDataRoute : public VWeb::Route {
public:
  bool Execute(const VWeb::Request &request, VWeb::Response &response) override {
    response << "<pre>\n";
    for (int i = 0; i < 100; ++i)
      response << "Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet. Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. Stet clita kasd gubergren, no sea takimata sanctus est Lorem ipsum dolor sit amet.\n";
    response << "</pre>";
    return true;
  }
};
int main() {
  VWeb::Server server;
  server.AddRoute("/test", VWeb::CreateRef<BigDataRoute>());
  server.Start();
  server.Join();
  return 0;
}
